flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Till Rohrmann (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (FLINK-8741) KafkaFetcher09/010/011 uses wrong user code classloader
Date Tue, 15 May 2018 13:31:00 GMT

     [ https://issues.apache.org/jira/browse/FLINK-8741?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Till Rohrmann updated FLINK-8741:
---------------------------------
    Release Note:   (was: Merged.

1.5.0: 2886a41728c0c13b3d01221c502a3e2a7014605d
1.4.2: 0396fc8c03a64f1281f2a535b2702188c5234f5c)

> KafkaFetcher09/010/011 uses wrong user code classloader
> -------------------------------------------------------
>
>                 Key: FLINK-8741
>                 URL: https://issues.apache.org/jira/browse/FLINK-8741
>             Project: Flink
>          Issue Type: Bug
>          Components: Kafka Connector
>    Affects Versions: 1.5.0, 1.4.1
>            Reporter: Tzu-Li (Gordon) Tai
>            Assignee: Tzu-Li (Gordon) Tai
>            Priority: Blocker
>             Fix For: 1.5.0, 1.4.2
>
>
> This commit https://github.com/apache/flink/commit/0a1ce0060ef3af29b196ab6ad58f97e49a40a4cf#diff-51fb939365cf758a89794a2599344702R98 caused
the wrong classloader to be used.
> The user code classloader should be used directly, not its parent. That change seems
to be irrelevant to the issue, and seems to have been changed by accident.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message